<?php date_default_timezone_set('America/Guayaquil'); ?>
<!doctype html>
<html lang="es">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Bootstrap CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/fontawesome.min.css" rel="stylesheet">
    <link href="css/custom.css" rel="stylesheet">
    <link rel="icon" href="images/logo.png"/>
    <title>Online - GAD Municipal del Cantón Bolivar!</title>
  </head>
  <body>
    <div id="panel">

        <div class="container pt-3">
            <small><b>Bolívar: <?= date('d-M-Y') ?></b> | Presione la opción deseada para su revisón en las siguientes opciones:</small>
            <div class="row">
                <div class="col-md-4 p-4">
                    <a href="#" class="text-dark text-center text-decoration-none opcion" data-target="consultadeuda" data-title="Consultar Deuda" >
                        <div class="border rounded-3 pt-1">
                            <h1><i class="fa fa-search text-primary"></i></h1>
                            <h5><strong>Consultar Deudas</strong></h5>
                            <p>Consulte las obligaciones pendientes que mantiene con la institución</p>
                        </div>
                    </a>
                </div>
                <!--<div class="col-md-4 p-4">
                    <a href="#" class="text-dark text-center text-decoration-none opcion" data-target="solinspeccion" data-title="Solicitud de Inspección" >
                        <div class="border rounded-3 pt-1">
                            <h1><i class="fa fa-check text-danger"></i></h1>
                            <h5><strong>Solicitud de Inspección</strong></h5>
                            <p>Inspección para permisos de funcionamiento y prevención de riesgos</p>
                        </div>
                    </a>
                </div>-->
                <!--<div class="col-md-4 p-4">
                    <a href="#" class="opcion text-dark text-center text-decoration-none" data-target="cotizador" data-title="Cotizador de Servicios">
                        <div class="border rounded-3 pt-1">
                            <h1><i class="fa fa-file text-danger"></i></h1>
                            <h5><strong>Cotizador de Servicios</strong></h5>
                            <p>Cotice el valor a pagar por impuestos de acuerdo a su actividad económica o civil</p>
                        </div>
                    </a>
                </div>-->
            </div>
        </div>
    </div>
    <div id="contenedor" style="display: none;">
        <nav class="navbar navbar-light bg-light fixed-top ">
            <div class="container-fluid" style="justify-content: left">
                <div class="navbar-brand">
                    <button href="#" id="btnBack" class="btn btn-outline-primary">
                        <i class="fa fa-arrow-left"></i>
                    </button>&nbsp;
                </div>
                <div class="navbar-text text-primary">
                    <div class="">GAD Municipal del Cantón Bolívar - Servicios en Línea</div>
                    <small>
                        <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
                            <ol class="breadcrumb">
                            <li class="breadcrumb-item"><i class="fa fa-home"></i></li>
                            <li id="udestaen" class="breadcrumb-item active text-primary" aria-current="page">Consulta de Deudas</li>
                            </ol>
                        </nav>
                    </small>
                </div>
            </div>
        </nav>
        <div id="areaformulario" style="margin-top: 150px;"></div>
    </div>
    <script type="text/javascript" src="js/bootstrap.bundle.min.js"></script>
    <script type="text/javascript" src="js/jquery.min.js"></script>
    <script type="text/javascript" src="js/jquery.backdetect.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.5.3/jspdf.debug.js" integrity="sha384-NaWTHo/8YCBYJ59830LTz/P4aQZK1sS0SneOgAvhsIl3zBu8r9RevNg5lHCHAuQ/" crossorigin="anonymous"></script>

    <script type="text/javascript" src="js/autocomplete.js"></script>
    <script type="text/javascript" src="js/constants.js"></script>
    <script type="text/javascript">
        Number.prototype.format = function() {
            return new Intl.NumberFormat(undefined, { minimumFractionDigits: 2, maximumFractionDigits: 2 }).format(this)
        }
        let printForm = undefined;
        let incrementaLinea = undefined;
        $(document).ready(function() {
            var regresar = function() {
                $("#contenedor").hide();
                $("#panel").show();
            }
            $(".opcion").click(function(evt) {
                evt.preventDefault();
                $("#panel").hide();
                $("#contenedor").show();
                $("#udestaen").html($(this).data("title"));
                $("#areaformulario").html("");
                $.ajax({
                    url: 'views/' + $(this).data('target') + '.php?q=<?= time() ?>',
                    method: 'POST',
                    success: function(resp) {
                        $("#areaformulario").html(resp);
                    }, 
                    error: function(resp) {
                        $("#areaformulario").html('Error al cargar el archivo');
                    }
                })
            });
            $("#btnBack").click(function(evt) {
                evt.preventDefault();
                regresar();
            });
            $('body').backDetect(function() {
                regresar();
                return false;
            });
        });
    </script>
  </body>
</html>
