
<?php date_default_timezone_set('America/Guayaquil'); ?>
<div class="text-center">
    <h2 class="text-success font-weight-bold">Consultar Deudas</h2>
</div>
<div class="container-fluid">
    <form id="frmconsultadeuda" class="form" method="post" novalidate="novalidate" >
        <div class="row">
            <div class="col-md-4 offset-md-4">
                <div class="card">
                    <div class="card-header">
                        <small class="text-secondary">Ingrese el criterio de consulta de acuerdo al tipo de búsqueda y número de identificación o valor clave.</small>
                    </div>
                    <div class="card-body">
                        <div class="mt-3">
                            <label>Buscar Por: </label>
                        </div>
                        <div class="input-group mb-3">
                            <select name="criterio" class="form-select campoquery" style="max-width: 150px">
                                <option value="CE">Cédula o RUC:</option>
                                <option value="CP">Clave Predial:</option>
                            </select>
                            <input name="valor" class="form-control text-center campoquery" type="tel" placeholder="0000000000" required="required"/>
                            <div class="invalid-feedback">
                                <small>Por favor complete los datos requeridos antes de continuar</small>
                            </div>
                        </div>
                        <div class="text-end">
                            <button type="submit" class="btn btn-outline-primary campoquery">Consultar <i class="fa fa-search"></i></button>
                        </div>
                        <div id="qdeudamessage" class="mt-2 mb-2"></div>
                        <button id="nuevaconsultaerror" type="button" class="btn btn-outline-primary btnNuevaConsulta w-100" style="display: none;">Nueva Consulta</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <div id="resconsultadeuda" class="row" style="display: none;" class="text-center printArea">
        <div class="row">
            <div class="col-md-4 offset-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="mb-2">
                            <small>Cantón Bolívar, <?= date('d-M-Y') ?></small>
                            <hr class="mt-0 mb-0 pt-0 pb-0"/>
                        </div>
                        <div class="float-end text-center">
                            <small class="fw-bold">Deuda Total:</small>
                            <h2 class="text-danger" id="lblDeudaTotal"></h2>
                        </div>
                        <label class="fw-bold">Información del Contribuyente:</label>
                        <div id="lblContribuyente"></div>

                        <button type="button" id="PagarValor" class="btn btn-success w-100"><i class="fas fa-credit-card"> </i>  Realizar pago</button>
                        <br/>
                        <small>Aceptamos todas tus tarjetas</small>
                        <img src="https://www.datafast.com.ec/images/logos/marcas-tarjetas.png" alt="Imagen de pago" height="10%" width="100%">
                        <hr/>
                        <table id="tblTitulos" class="table table-responsive table-striped">
                            <thead>
                                <tr>
                                    <th width="70%">Componente</th>
                                    <th class="text-center" width="12%">Pendientes</th>
                                    <th class="text-center" width="12%">Total</th>
                                    <th class="" width="6%"></th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                        <button type="button" class="btn btn-outline-primary w-100 btnNuevaConsulta">Nueva Consulta</button>
                    </div>
                    <div class="card-footer">
                        Usted ha realizado la consulta #: <span id="lblConsulta"></span>
                        <button type="button" onclick="printForm();" class="btn btn-link text-decoration-none text-teal"><i class="fa fa-file-pdf"></i> Descargar PDF</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    var deuda = undefined;
    function getBase64Image(img) {
      var canvas = document.createElement("canvas");
      canvas.width = img.width;
      canvas.height = img.height;
      var ctx = canvas.getContext("2d");
      ctx.drawImage(img, 0, 0);
      var dataURL = canvas.toDataURL("image/png");
      return dataURL.replace(/^data:image\/(png|jpg);base64,/, "");
    };
    //if (typeof(printForm) === 'undefined')
    printForm = function() { 
        var doc = new jsPDF();
        encabezado(doc);
        doc.setFont('helvetica', 'normal');
        linea = 50;
        deuda.componentes.forEach(el => {
            doc.setFontSize(10);
            doc.text(10,linea, el.nombreMiembro);
            doc.text(168,linea, el.titulos.length.toString(), {align: 'right'});
            doc.text(195,linea, (el.valor * 1).format(), {align: 'right'});
            linea = incrementaLinea(doc, linea, 5);
            doc.setFontSize(8);
            doc.text(40, linea, 'Título');
            doc.text(60, linea, 'Detalle');
            doc.text(110, linea, 'Año Obligación');
            doc.text(140, linea, 'Valor');
            linea = incrementaLinea(doc, linea, 1);
            doc.line(35, linea , 160, linea);
            linea = incrementaLinea(doc, linea, 3);
            el.titulos.forEach(titulo => {
                doc.setFont('helvetica', 'normal');
                doc.setFontSize(8);
                doc.text(40, linea, titulo.id.toString());
                doc.text(60, linea, titulo.clavePredial + '\n' + `Sub Total ${(titulo.valorNeto * 1).format()}` + ` | Emisión: ${(titulo.valorEmision * 1).format()}` + '\n' + `Interés: ${(titulo.valorInteres * 1).format()}`);
                doc.text(130, linea, `${(new Date(titulo.fechaObligacion)).getFullYear()}`, {align: 'right'});
                doc.text(155, linea, (titulo.valor * 1).format(), {align: 'right'});
                linea = incrementaLinea(doc, linea, 11);
            });
        });
        doc.line(10, linea, 200, linea);
        doc.setFontSize(11);
        doc.setFont('helvetica', 'bold');
        doc.text(150, linea + 5, "TOTAL");
        doc.text(195,linea + 5, (deuda.valor * 1).format(), {align: 'right'});
        doc.save(`${deuda.persona.identificador} - ${deuda.persona.apellidosNombres}.pdf`);
    };
    
    encabezado = function(doc) {
        doc.setFontSize(11);
        doc.setFont('helvetica', 'bold');
        doc.text(50, 15, 'CUERPO DE BOMBEROS DEL CANTÓN BOLÍVAR');
        doc.text(50, 22, 'Consulta de Deudas');
        doc.text(50, 29, `CONTRIBUYENTE: ${deuda.persona.apellidosNombres}`, {maxWidth: 160});
        doc.text(50, 36, `${deuda.persona.identificador}`);
        doc.line(10, 38, 200, 38);
        doc.addImage(document.getElementById("logo"), 'png', 15, 5, 30, 31, 'logo', 'FAST');
        doc.setFontSize(10);
        doc.text(10, 43, 'COMPONENTE');
        doc.text(150, 43, 'CANTIDAD');
        doc.text(180, 43, 'VALOR');
        doc.line(10, 46, 200, 46);
    }
    
    incrementaLinea = function(doc, linea, valor) { 
        linea = linea + valor;
        if (linea > 270) {
            doc.addPage();
            encabezado(doc);
            linea = 50;
        }
        return linea;
    };
    
    $(document).ready(function() {
        $(".btnNuevaConsulta").click(function(evt) {
            $("input[name=valor]").val("");
            $("#tblTitulos > tbody").html("");
            $("#resconsultadeuda").hide('fast')
            $("#frmconsultadeuda").show('fade-in');
            $("input[name=valor]").focus();
            $("#nuevaconsultaerror").hide();
            evt.preventDefault(); 
        });
        $("#frmconsultadeuda").submit(function(evt) {
            $("#qdeudamessage").removeClass().html("");
            $(this).removeClass("was-validated");
            evt.preventDefault();
            if (!this.checkValidity()) { 
                $(this).addClass("was-validated");
                evt.stopPropagation();
                return;
            }
            $("button.campoquery").html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>');
            $("#tblTitulos > tbody > td").on('click', '.infocomponente', function() {
                item = deuda.componentes.find(item => item.key === $(this).data('target'));
                if (item !== undefined) {
                    alert(item.titulos.length);
                }
            });
            $.ajax({
                url: urlbackend + 'public/deudas',
                data: $(this).serialize(),
                dataType: 'json',
                beforeSend: function(request) {
                    request.withCredentials = false;
                    $(".campoquery").attr('disabled', 'disabled');
                },
                success: function(resp) {
                    deuda = resp;
                    $("#lblContribuyente").html(
                        '<div>' + resp.persona.apellidosNombres + '</div>' +
                        '<div>' + resp.persona.identificador + '</div>'
                    );
                    $("#lblConsulta").html(resp.nombre);
                    $("#lblDeudaTotal").html("$" + (resp.valor * 1).format());
                    deuda.componentes.forEach(element => {
                        $("#tblTitulos > tbody").append(
                            $("<tr>")
                                .append($("<td>").html(element.nombreMiembro))
                                .append($('<td class="text-end">').html(element.titulos.length))
                                .append($('<td class="text-end">').html((element.valor * 1).format()))
                                .append($('<td class="text-info">')
                                    .append('<a class="infocomponente" data-bs-toggle="collapse" href="#collapse' + element.key + '" role="button" aria-expanded="false" aria-controls="collapse' + element.key + '"><i class="fa fa-list-alt"></i></a>'))
                        );
                        
                        var detalleRubro = $('<table class="table table-danger table-striped" style="font-size: 0.75rem; width: 100%">').append($('<thead>')
                            .append($('<tr>')
                                .append($('<th>').html('Titulo'))
                                .append($('<th>').html('Clave'))
                                .append($('<th>').html('Año Obligación'))
                                .append($('<th>').html('Valor'))
                            )
                        );
                        detalleRubro.append($('<tbody>'));
                        element.titulos.forEach(item => {
                            detalleRubro.append(
                                $('<tr>').append($('<td>').html(item.id))
                                    .append($('<td>').html(item.clavePredial + '<br/>Sub Total: ' + item.valorNeto.format() + '<br/>Emisión: ' + item.valorEmision.toLocaleString('en-US')  + '<br/>Interés: ' + item.valorInteres.format()))
                                    .append($('<td>').html(item.periodo))
                                    .append($('<td class="text-end">').html(item.valorTotal))
                            )
                        });

                        $("#tblTitulos > tbody").append(
                            $('<tr>').append(
                                $('<td class="collapse collapse-horizontal" id="collapse' + element.key + '" colspan="4">').append(detalleRubro)
                            )
                        );
                    });
                    $("#frmconsultadeuda").hide('fast');
                    $("#resconsultadeuda").show('fade-in')
                }, 
                complete: function(q) {
                    $("button.campoquery").html('Consultar <i class="fa fa-chevron-right"></i>');
                    $(".campoquery").removeAttr('disabled');
                },
                error: function(error) {
                    $("#nuevaconsultaerror").show();
                    if (error.status !== 0)
                        $("#qdeudamessage").addClass('alert alert-warning mt-2').html(error.responseText);
                    else 
                        $("#qdeudamessage").addClass('alert alert-danger mt-2').html('Servicio no disponible por el momento. Por favor vuelva a intentar más tarde. <button id="nuevaconsultaerror" type="button" class="btn btn-outline-primary btnNuevaConsulta" style="display: none;">Nueva Consulta</button>');
                }
            });
        });
    });
</script>