<?php ?>
<div class="text-center">
    <h2 class="text-danger">Cotizador de Servicios</h2>
</div>
<div class="container-fluid">
    <form id="frmcotizador" class="form" method="post" novalidate>
        <div class="row">
            <div class="col-md-4 offset-md-4">
                <div class="card">
                    <div class="card-body">
                        <div class="mt-3">
                            <label>Actividad: </label>
                        </div>
                        <div class="mb-3">
                            <input name="valor" id="actividad" class="form-control campoquery" placeholder="... Denominación de la actividad" required autocomplete="off" />
                            <div class="invalid-feedback">
                                <small>Por favor complete los datos requeridos antes de continuar</small>
                            </div>
                        </div>
                        <div class="mb-3">
                            <label>Nivel de Riesgo:</label>
                            <select class="form-select" name="categoria" required>
                                <option value="A">Riesgo Alto</option>
                                <option value="B">Riesgo Moderado</option>
                                <option value="C">Riesgo Bajo</option>
                            </select>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                            <label>Desde (Año):</label>
                                <select class="form-select" name="anio">
                            <?php $year = intval(date('Y')); 
                                for($i = $year; $i>$year-5; $i--): ?>
                                <option value="<?= $i ?>"><?= $i ?></option>
                            <?php endfor; ?>
                                </select>
                            </div>
                            <div class="col-md-6 text-right">
                                <div>&nbsp;</div>
                                <button type="submit" class="btn btn-outline-danger w-100 campoquery">Consultar <i class="fa fa-chevron-right"></i></button>
                            </div>
                        </div>
                        <div class="text-end">
                            
                        </div>
                        <div id="qdeudamessage" class="mt-2"></div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <div id="rescotizador" class="row" style="display: none;">
        <div class="col-md-4 offset-md-4">
            <div class="card">
                <div class="card-body">
                    <div class="float-end text-center">
                        <small class="fw-bold">Deuda Total:</small>
                        <h2 class="text-danger" id="lblDeudaTotal"></h2>
                    </div>
                    <label class="fw-bold">Información del Contribuyente:</label>
                    <div id="lblContribuyente">Cotizador WEB.<div class="text-danger"><small>Valores referenciales de acuerdo al momento de la consulta</small></div></div>
                    <hr/>
                    <table id="tblTitulos" class="table table-responsive table-striped">
                        <thead>
                            <tr>
                                <th width="70%">Componente</th>
                                <th class="text-center" width="12%">Pendientes</th>
                                <th class="text-center" width="12%">Total</th>
                                <th class="" width="6%"></th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                    <button id="btnNuevaConsulta" type="button" class="btn btn-outline-primary w-100">Nueva Consulta</button>
                </div>
                <hr/>
                <small>Cantón Bolívar, <?= date('d-M-Y') ?></small>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        //$('select').formSelect();
        $("#btnNuevaConsulta").click(function(evt) {
            $("input[name=valor]").val("");
            $("#tblTitulos > tbody").html("");
            $("#rescotizador").hide('fast')
            $("#frmcotizador").show('fade-in');
            $("input[name=actividad]").focus();
            evt.preventDefault(); 
        });
        var item = null;
        if (actividades === null) {
            $.ajax({
                url: urlbackend + 'public/actividades',
                success: function(resp) {
                    actividades = resp;
                    new Autocomplete(document.getElementById("actividad"), { 
                        maximumItems: 10,
                        treshold: 1,
                        label: 'nombre',
                        value: 'id',
                        data: actividades, 
                        onSelectItem: ({label, value}) => {
                            item = actividades.find((e) => e.id === value * 1);        
                            console.log(item);
                        }
                    });
                }
            });
        } else {
            new Autocomplete(document.getElementById("actividad"), { 
                maximumItems: 10,
                treshold: 1,
                label: 'nombre',
                value: 'id',
                data: actividades,
                onSelectItem: ({label, value}) => {
                    item = actividades.find((e) => e.id === value * 1);
                    console.log(item);
                }
            });
        }
        $("#frmcotizador").submit(function(evt) {
            evt.preventDefault();
            $(this).addClass("was-validated")
            if (!this.checkValidity()) {
                return;
            }
            if (item === undefined) { 
                $("#actividad").addClass("is-invalid");
                return;
            }

            $.ajax({
                url: urlbackend + "public/cotizaactividad",
                method: "POST",
                data: $(this).serialize() + "&actividad=" + item.id,
                beforeSend: function(request) {
                    request.withCredentials = false;
                    $(".campoquery").attr('disabled', 'disabled');
                },
                success: function(resp) {
                    deuda = resp;
                    $("#lblDeudaTotal").html(resp.valor);
                    deuda.componentes.forEach(element => {
                        $("#tblTitulos > tbody").append(
                            $("<tr>")
                                .append($("<td>").html(element.nombreMiembro))
                                .append($('<td class="text-end">').html(element.titulos.length))
                                .append($('<td class="text-end">').html((element.valor * 1).toFixed(2)))
                                .append($('<td class="text-info">')
                                    .append('<a class="infocomponente" data-bs-toggle="collapse" href="#collapse' + element.key + '" role="button" aria-expanded="false" aria-controls="collapse' + element.key + '"><i class="fa fa-info"></i></a>'))
                        );
                        
                        var detalleRubro = $('<table class="table table-danger table-striped" style="font-size: 0.75rem; width: 100%">').append($('<thead>')
                            .append($('<tr>')
                                .append($('<th>').html('Titulo'))
                                .append($('<th>').html('Detalle'))
                                .append($('<th>').html('Año Emisión'))
                                .append($('<th>').html('Valor'))
                            )
                        );
                        detalleRubro.append($('<tbody>'));
                        element.titulos.forEach(item => {
                            detalleRubro.append(
                                $('<tr>').append($('<td>').html(item.id))
                                    .append($('<td>').html('Sub Total: ' + item.valorNeto.toFixed(2) + '<br/>Emisión: ' + item.valorEmision.toFixed(2)  + '<br/>Interés: ' + item.valorInteres.toFixed(2)))
                                    .append($('<td>').html(item.periodo))
                                    .append($('<td class="text-end">').html(item.valorTotal))
                            )
                        });

                        $("#tblTitulos > tbody").append(
                            $('<tr>').append(
                                $('<td class="collapse collapse-horizontal" id="collapse' + element.key + '" colspan="4">').append(detalleRubro)
                            )
                        );
                    });
                    $("#frmcotizador").hide('fast');
                    $("#rescotizador").show('fade-in')
                }, 
                complete: function(q) {
                    $("button.campoquery").html('Consultar <i class="fa fa-chevron-right"></i>');
                    $(".campoquery").removeAttr('disabled');
                },
                error: function(error) {
                    if (error.status !== 0)
                        $("#qdeudamessage").addClass('alert alert-warning mt-2').html(error.responseText);
                    else 
                        $("#qdeudamessage").addClass('alert alert-danger mt-2').html("Servicio no disponible por el momento. Por favor vuelva a intentar más tarde.");
                }
            });
        });
    });
</script>